/**
 * @license
 * Copyright (c) 2020 Handsoncode. All rights reserved.
 */
export declare class RowsSpan {
    readonly sheet: number;
    readonly rowStart: number;
    readonly rowEnd: number;
    get numberOfRows(): number;
    static fromNumberOfRows(sheet: number, rowStart: number, numberOfRows: number): RowsSpan;
    static fromRowStartAndEnd(sheet: number, rowStart: number, rowEnd: number): RowsSpan;
    constructor(sheet: number, rowStart: number, rowEnd: number);
    rows(): IterableIterator<number>;
    intersect(otherSpan: RowsSpan): RowsSpan | null;
    firstRow(): RowsSpan;
}
